Subject: bug#910: leim-list.el is looked up in too many places at startup

From: Glenn Morris <[email-masked]>
Date: Wed, 10 Sep 2008 00:33:54 -0400

Dan Nicolaescu wrote:

>   > +     (let ((leim (expand-file-name "../leim/leim-list.el" data-directory)))
>                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>                This won't work when building in a separate directory:
>                leim-list.el is generated in the build tree, not the
>                source tree (unlike what happens for .elc files...)

Looks like I can just use doc-directory instead of data-directory
here, and all will be well.

The only question is, if people are supposed to be able to have
multiple leim-list files, or to be able to add their own. I guess not?